aboutsummaryrefslogtreecommitdiff
path: root/bin/mkmv
diff options
context:
space:
mode:
Diffstat (limited to 'bin/mkmv')
-rwxr-xr-xbin/mkmv14
1 files changed, 13 insertions, 1 deletions
diff --git a/bin/mkmv b/bin/mkmv
index 2dfcd813..803ef05c 100755
--- a/bin/mkmv
+++ b/bin/mkmv
@@ -1,6 +1,18 @@
#!/bin/sh
# Move files into created directory in one call
-[ "$#" -gt 2 ] || exit 2
+
+# Check we have at least two arguments
+if [ "$#" -lt 2 ] ; then
+ printf >&2 'mkmv: Need at least one source and destination\n'
+ exit 2
+fi
+
+# Get the last argument (the directory to create)
for dir ; do : ; done
+
+# Create it, or bail
mkdir -p -- "$dir" || exit
+
+# Move all the remaining arguments into the directory (which will be the last
+# argument)
mv -- "$@"